<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="300dp"
    android:layout_height="match_parent">

    <View
        android:id="@+id/v_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/background_shape_white_radius_12"
        app:layout_constraintBottom_toTopOf="@id/space_bottom"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:src="@drawable/bg_reserve_online_reminder"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginTop="80dp"
        android:textColor="@color/text_secondary"
        android:textSize="13sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="您预约的4款游戏上线了~" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_games"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:paddingHorizontal="20dp"
        android:clipToPadding="false"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:itemCount="1"
        tools:listitem="@layout/dialog_reserve_item" />

    <TextView
        android:id="@+id/tv_auto_download_tips"
        style="@style/TextCaption1"
        android:layout_width="0dp"
        android:layout_height="52dp"
        android:layout_marginHorizontal="24dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_shape_f8_radius_12"
        android:drawablePadding="12dp"
        android:ellipsize="end"
        android:gravity="center_vertical"
        android:maxLines="2"
        android:paddingHorizontal="12dp"
        android:textColor="@color/text_secondary"
        app:drawableEndCompat="@drawable/ic_forum_arrow_right"
        app:drawableStartCompat="@drawable/ic_download"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rv_games"
        tools:text="@string/reserve_reminder_auto_download_with_name" />

    <TextView
        android:id="@+id/tv_view_all_appointment"
        style="@style/BtnRegularStyle"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginHorizontal="24dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_common_button_light_fill_blue"
        android:text="@string/view_all_appointments"
        android:textColor="@color/primary_theme"
        android:textStyle="bold"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_auto_download_tips" />

    <Space
        android:id="@+id/space_bottom"
        android:layout_width="wrap_content"
        android:layout_height="1dp"
        android:layout_marginTop="24dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_view_all_appointment" />

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginTop="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_background"
        app:srcCompat="@drawable/ic_reserve_reminder_close" />
</androidx.constraintlayout.widget.ConstraintLayout>
